Bug 194626

Summary: [Maintainer Update] audio/libsidplayfp 1.6.0
Product: Ports & Packages Reporter: SimaMoto,RyōTa <liangtai.s16>
Component: Individual Port(s)Assignee: Thomas Zander <riggs>
Status: Closed FIXED    
Severity: Affects Many People CC: riggs
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Update v1.5.0 to v1.6.0
none
poudriere log none

Description SimaMoto,RyōTa 2014-10-27 11:13:58 UTC
Created attachment 148698 [details]
Update v1.5.0 to v1.6.0

New version had been released at upstream.
audio/libsidplayfp

This update introduces several options;
three general options:
  DOCS:    Install NEWS, README, and TODO of the source package,
  DOXYGEN: Build and install API documantation,
  DEBUG:   Product binaries in debugging mode,
and three optimizing options:
  BHINTS:  Enable branch-hints optimization for reSID engine,
  INLINE:  Enable inlining code for reSID engine,
  MMX:     Enable mmx specific code for reSIDfp engine, this
           increases performance on old x86 CPU that does not
           support SSE2 feature.
I am sorry but I am not sure I wrote enough accurate English on
*_DESC as good as the README file describes.
Comment 1 John Marino freebsd_committer 2014-11-01 13:09:03 UTC
can you provide poudriere testport logs?
Comment 2 SimaMoto,RyōTa 2014-11-02 07:12:09 UTC
Created attachment 148917 [details]
poudriere log
Comment 3 John Marino freebsd_committer 2014-11-02 13:12:42 UTC
Thanks, I'm promoting this now.
Comment 4 commit-hook freebsd_committer 2014-11-09 16:34:13 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov  9 16:33:28 UTC 2014
New revision: 372366
URL: https://svnweb.freebsd.org/changeset/ports/372366

Log:
  Update audio/libsidplayfp to upstream version 1.6.0

  Bump PORTREVISION of dependent ports

  PR:		194626
  Submitted by:	liangtai.s16@gmail.com (maintainer)

Changes:
  head/audio/libsidplayfp/Makefile
  head/audio/libsidplayfp/distinfo
  head/audio/libsidplayfp/files/
  head/audio/libsidplayfp/files/patch-Makefile.in
  head/audio/libsidplayfp/pkg-plist
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/qmmp/Makefile